Skip to main content
`Ctrl`+`K`

# PetscFVGetComponentName

Get the name of a component (used in output and viewing) in a `PetscFV`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVGetComponentName(PetscFV fvm, PetscInt comp, const char *name[])

Logically Collective

## Input Parameters

- fvm - the `PetscFV` object

- comp - the component number

## Output Parameter

- name - the component name

## See Also

`PetscFV`, `PetscFVSetComponentName()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages